/// <reference types="node" />
import { TsHubLogger } from './ts-hub-logger';
export declare class ConsoleLogger implements TsHubLogger {
    private consoleInstance;
    private static EMERGENCY_PREFIX;
    private static ALERT_PREFIX;
    private static CRITICAL_PREFIX;
    private static ERROR_PREFIX;
    private static WARNING_PREFIX;
    private static NOTICE_PREFIX;
    private static INFO_PREFIX;
    private static DEBUG_PREFIX;
    private static SEPARATOR;
    constructor(consoleInstance?: Console);
    private logToConsole(prefix, args);
    emergency(...args: any[]): void;
    alert(...args: any[]): void;
    crit(...args: any[]): void;
    error(...args: any[]): void;
    warning(...args: any[]): void;
    notice(...args: any[]): void;
    info(...args: any[]): void;
    debug(...args: any[]): void;
}
