import { TsModule } from './ts-module';
import { Server } from "./";
import { HubContainer, TsFramework } from "../";
export declare class Hub {
    private servers;
    private modules;
    container: HubContainer;
    private tsFramework;
    constructor(servers: Server[], modules: TsModule[], container: HubContainer, tsFramework: TsFramework);
    run(): Promise<any[]>;
    private setupDependencies();
    private runServers(controllerBuilders);
    stop(): Promise<any[]>;
}
